import { useMissionStore } from "../stores/admin/operation/mission";

export async function checkMissionExists(to: any, from: any, next: any) {
  const mission = useMissionStore();

  await mission
    .fetchMissionById(to.params?.id ?? "")
    .then(() => {
      next();
    })
    .catch(() => {
      next({ name: "admin-operation-mission" });
    });
}
